Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.amp.agf3d
Enum Shapes3D.ShapeType

    java.lang.Object
      java.lang.Enum<Shapes3D.ShapeType>
          org.eclipse.amp.agf3d.Shapes3D.ShapeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Shapes3D.ShapeType>

Enclosing class:
  Shapes3D

    public static enum Shapes3D.ShapeType

extends java.lang.Enum<Shapes3D.ShapeType>

Enum Constant Summary
`CUBE`
`CYLINDER`
`SPHERE`
`TILE`

Method Summary
`static Shapes3D.ShapeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Shapes3D.ShapeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CUBE

    public static final Shapes3D.ShapeType CUBE

### TILE

    public static final Shapes3D.ShapeType TILE

### SPHERE

    public static final Shapes3D.ShapeType SPHERE

### CYLINDER

    public static final Shapes3D.ShapeType CYLINDER

Method Detail

### values

    public static Shapes3D.ShapeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Shapes3D.ShapeType c : Shapes3D.ShapeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Shapes3D.ShapeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD